PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_slauum_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_desc * | A
| ) |  |

PLASMA_slauum_Tile - Computes the product U * U' or L' * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A. Tile equivalent of PLASMA_slauum(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | A | On entry, the triangular factor U or L. On exit, if UPLO = 'U', the upper triangle of A is overwritten with the upper triangle of the product U * U'; if UPLO = 'L', the lower triangle of A is overwritten with the lower triangle of the product L' * L.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_slauum
  PLASMA_slauum_Tile_Async
  PLASMA_clauum_Tile
  PLASMA_dlauum_Tile
  PLASMA_slauum_Tile
  PLASMA_spotri_Tile